- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osg::ConvexPlanarPolygon Class Reference

A class for representing components of convex clipping volumes. More...

List of all members.

## Public Types
typedef std::vector< osg::Vec3 > | VertexList
## Public Member Functions
| ConvexPlanarPolygon ()
void | add (const Vec3 &v)
VertexList & | getVertexList ()
const VertexList & | getVertexList () const
## Protected Attributes
VertexList | _vertexList

## Detailed Description

A class for representing components of convex clipping volumes.

ConvexPlanarPolygon normals should point inwards (into the volume)

## Member Typedef Documentation

typedef std::vector<osg::Vec3> osg::ConvexPlanarPolygon::VertexList

## Constructor & Destructor Documentation

ConvexPlanarPolygon::ConvexPlanarPolygon | ( |  | ) |

## Member Function Documentation

void osg::ConvexPlanarPolygon::add | ( | const Vec3 & | v | ) | `[inline]`

const VertexList& osg::ConvexPlanarPolygon::getVertexList | ( |  | ) | const`[inline]`

VertexList& osg::ConvexPlanarPolygon::getVertexList | ( |  | ) | `[inline]`

## Member Data Documentation

VertexList osg::ConvexPlanarPolygon::_vertexList`[protected]`

The documentation for this class was generated from the following files:

- ConvexPlanarPolygon
- ConvexPlanarPolygon.cpp